Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_project do
      namespace :desktop do 
        match "project_window" => "personal_projects#project_window"
        resources :personal_projects
        resources :plugin_intros
      end
      namespace :back_end do
	  
        match 'project_setting' => "projects#project_setting" ,:as => :project_setting
		  		
        resources :projects do
          collection do
            get 'delete'
            get 'data_share'
          end
		  
          match "project_category_quick_add" => "projects#project_category_quick_add" ,:as => :project_category_quick_add
          match "project_category_quick_edit" => "projects#project_category_quick_edit" ,:as => :project_category_quick_edit
        end
        
        resources :personal_project_intros
        resources :project_categorys
        resources :tags
      end
      namespace :front_end do
        resources :projects
      end
      namespace :plugin do
        resources :projects
      end
      namespace :widget do
        match "projects" => "projects#index"
        match "home_list" => "projects#home_list"
        match "reload_projects" => "projects#reload_projects"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
